---
lang: en
title: 'API docs: filter.wherebuilder.inq'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/filter
permalink: /doc/en/lb4/apidocs.filter.wherebuilder.inq.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/filter](./filter.md) &gt; [WhereBuilder](./filter.wherebuilder.md) &gt; [inq](./filter.wherebuilder.inq.md)

## WhereBuilder.inq() method

Add a `inq` condition

**Signature:**

```typescript
inq<K extends KeyOf<MT>>(key: K, val: MT[K][]): this;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | K | Property name |
|  val | MT\[K\]\[\] | An array of property values |

**Returns:**

this


